## org.bn.compiler.parser.model
Class SymbolsFromModule

    java.lang.Object
      org.bn.compiler.parser.model.SymbolsFromModule

    public class SymbolsFromModule

extends java.lang.Object

Field Summary
`AsnOidComponentList` `cmplist`
`AsnDefinedValue` `defval`
`boolean` `isDefinedValue`
`boolean` `isOidValue`
`java.lang.String` `modref`
`java.util.ArrayList` `symbolList`

Constructor Summary
`SymbolsFromModule()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cmplist

    public AsnOidComponentList cmplist

### defval

    public AsnDefinedValue defval

### isDefinedValue

    public boolean isDefinedValue

### isOidValue

    public boolean isOidValue

### modref

    public java.lang.String modref

### symbolList

    public java.util.ArrayList symbolList

Constructor Detail

### SymbolsFromModule

    public SymbolsFromModule()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`